package cn.superdesk.uniorder.service.sys.notify;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyTemplate;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-03-01 17:37:17
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-03-01 17:37:17
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SysNotifyTemplateService extends BaseService<SysNotifyTemplate> {


    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(SysNotifyTemplate entity);

    int updateByPrimaryKeySelective(SysNotifyTemplate entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    SysNotifyTemplate findById(Long id);

    @Deprecated
    PageInfo<SysNotifyTemplate> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SysNotifyTemplate> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addSysNotifyTemplate(SysNotifyTemplate entity);

    void updateSysNotifyTemplate(SysNotifyTemplate entity);

    void deleteSysNotifyTemplate(Long id);

    SysNotifyTemplate findSysNotifyTemplateById(Long id);

    R<List<SysNotifyTemplate>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


}